Name:           libwiimote
Version:        0.4
Release:        8%{?dist}
Summary:        Simple Wiimote Library for Linux

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://libwiimote.sf.net/
Source0:        http://downloads.sf.net/%{name}/%{name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:		libwiimote-0.4-fpic.patch
Patch1:		libwiimote-0.4-includedir.patch
Patch2:		libwiimote-0.4-dso-symlinks.patch
Patch3:		libwiimote-0.4-soname.patch
Patch4:		libwiimote-0.4-bluez4.patch

BuildRequires:  autoconf
BuildRequires:  bluez-libs-devel

%description
Libwiimote is a C-library that provides a simple API for communicating with
the Nintendo Wii Remote (aka. wiimote) on a Linux system. The goal of this
library is to be a complete and easy to use framework for interfacing
applications with the wiimote.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .fpic
%patch1 -p1 -b .includedir
%patch2 -p1 -b .dso-symlinks
%patch3 -p1 -b .soname
%patch4 -p1 -b .bluez4

%build
autoconf
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' | xargs rm -f
# boo static libraries.  hooray beer!
rm $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
#%doc
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 11 2008 - Bastien Nocera <bnocera@redhat.com> - 0.4-7
- Rebuild with Bluez 4.x patch

* Thu Sep 11 2008 - Bastien Nocera <bnocera@redhat.com> - 0.4-6
- Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4-5
- Autorebuild for GCC 4.3

* Mon Jan 07 2008 Adam Jackson <ajax@redhat.com> 0.4-4
- libwiimote-0.4-soname.patch: Set DT_SONAME correctly.

* Fri Dec 21 2007 Adam Jackson <ajax@redhat.com> 0.4-3
- Cosmetic and license fixes from review bug.

* Tue Dec 18 2007 Adam Jackson <ajax@redhat.com> 0.4-2
- Build with -fPIC so DSOs actually work right. (Tom Callaway)
- Move the header files to someplace less insane.

* Tue Dec 18 2007 Adam Jackson <ajax@redhat.com> 0.4-1
- Initial revision.

